%define module_name Device-Modbus-TCP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Modbus.pm) perl(Errno.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(Net/Server.pm) perl(Role/Tiny.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.026
Release: alt1
Summary: Distribution for Modbus TCP communications
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JF/JFRAIRE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Device::Modbus::TCP is a distribution which implements the Modbus TCP protocol on top of the Device::Modbus manpage; it adds the capability of communicating via TCP sockets. Please see Device::Modbus to learn about its functionality, and the Device::Modbus::TCP::Client manpage or the Device::Modbus::TCP::Server manpage to see the particularities of the Modbus TCP implementation.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE examples
%perl_vendor_privlib/D*

%changelog
* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.026-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1
- initial import by package builder

